import React from 'react';
import { DevCycleClient, DevCycleUser } from '@devcycle/js-client-sdk';
import { DevCycleServerDataForClient } from '../common/types';
type DevCycleClientsideProviderProps = {
    serverDataPromise: Promise<DevCycleServerDataForClient>;
    serverData?: DevCycleServerDataForClient;
    sdkKey: string;
    user: DevCycleUser;
    enableStreaming: boolean;
    children: React.ReactNode;
};
type ClientProviderContext = {
    client: DevCycleClient;
    sdkKey: string;
    enableStreaming: boolean;
    serverDataPromise: Promise<unknown>;
};
export declare const DevCycleClientContext: React.Context<ClientProviderContext>;
export declare const DevCycleClientsideProvider: ({ serverDataPromise, serverData, sdkKey, enableStreaming, user, children, }: DevCycleClientsideProviderProps) => React.ReactElement;
export {};
